Bug 1004478 - stgit package should require git-email
stgit package should require git-email
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: stgit (Show other bugs)
19
All All
unspecified Severity medium
: ---
: ---
Assigned To: Peter Schiffer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-04 13:49 EDT by Chuck Lever
Modified: 2013-11-10 01:16 EST (History)
2 users (show)

See Also:
Fixed In Version: stgit-0.17-4.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-26 23:53:52 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chuck Lever 2013-09-04 13:49:30 EDT
Description of problem:
After installing the stgit package with "yum install stgit", the "stg mail" command has only limited functionality.  It ignores the sendemail.smtp* settings and always attempts to deliver mail through the local host.

Local host delivery typically succeeds without error, but the mail items are then parked in the local system's mail queue forever if the local host is not configured to deliver mail.  No error message or bounce occurs.

Specifying --smtp-foo= on the "stg mail" command line seems to have the desired effects, but .git config file settings are ignored.

After installing the git-email package, full patch e-mail capabilities are available without requiring local mailer configuration, and configuration settings in ~/.gitconfig are respected.


Version-Release number of selected component (if applicable):
stgit-0.16-3.fc19.noarch
git-email-1.8.3.1-1.fc19.noarch

How reproducible:
100%.

Steps to Reproduce:
1. On a minimal install, "yum install stgit"
2. Set up sendemail.smtp* settings in ~/.gitconfig
3. Attempt to send patches with "stg mail --to=.... patch1 patch2"

Actual results:
The patches appear to be sent, but never arrive at the recipient.  Changing the sendemail.smtp* settings has no effect, but specifying --smtp-* command line options works.

Expected results:
Either the patches should be sent, or an error should be reported.  "stg mail" should use the sendmail.* settings specified in ~/.gitconfig or the local repository's .git/config file.

Additional info:
Adding a "Requires: git-email" in the stgit.spec file should address this.
Comment 1 Fedora Update System 2013-10-17 15:22:54 EDT
stgit-0.17-4.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/stgit-0.17-4.fc20
Comment 2 Peter Schiffer 2013-10-17 15:23:54 EDT
fixed in rawhide:
stgit-0.17.1-1.fc21
http://koji.fedoraproject.org/koji/buildinfo?buildID=472088
Comment 3 Fedora Update System 2013-10-17 15:39:00 EDT
stgit-0.16-4.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/stgit-0.16-4.fc19
Comment 4 Fedora Update System 2013-10-18 16:01:26 EDT
Package stgit-0.16-4.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing stgit-0.16-4.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-19363/stgit-0.16-4.fc19
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2013-10-26 23:53:52 EDT
stgit-0.16-4.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2013-10-27 01:34:13 EDT
stgit-0.16-4.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2013-11-10 01:16:42 EST
stgit-0.17-4.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.